%-------------------------------------------------------------------------------
% Miscellaneous useful definitions for ATLAS documents.
% Include with misc option in atlasphysics.sty.
%
% Note that this file can be overwritten when atlaslatex is updated.
%
% Copyright (C) 2002-2018 CERN for the benefit of the ATLAS collaboration
%-------------------------------------------------------------------------------

% +--------------------------------------------------------------------+
% |  Useful things for proton-proton physics                           |
% +--------------------------------------------------------------------+
% \newcommand*{\pT}{\ensuremath{p_{\text{T}}}\xspace}
\newcommand*{\pt}{\ensuremath{p_{\text{T}}}\xspace}
\newcommand*{\ET}{\ensuremath{E_{\text{T}}}\xspace}
\newcommand*{\eT}{\ensuremath{E_{\text{T}}}\xspace}
\newcommand*{\et}{\ensuremath{E_{\text{T}}}\xspace}
\newcommand*{\HT}{\ensuremath{H_{\text{T}}}\xspace}
% \newcommand*{\pTsq}{\ensuremath{p_{\text{T}}^{2}}\xspace}
\newcommand*{\ptsq}{\ensuremath{p_{\text{T}}^{2}}\xspace}
\newcommand*{\MET}{\ensuremath{E_{\text{T}}^{\text{miss}}}\xspace}
% \newcommand*{\met}{\ensuremath{E_{\text{T}}^{\text{miss}}}\xspace}
\newcommand*{\sumET}{\ensuremath{\sum \ET}\xspace}
\newcommand*{\EjetRec}{\ensuremath{E_{\text{rec}}}\xspace}
\newcommand*{\PjetRec}{\ensuremath{p_{\text{rec}}}\xspace}
\newcommand*{\EjetTru}{\ensuremath{E_{\text{true}}}\xspace}
\newcommand*{\PjetTru}{\ensuremath{p_{\text{true}}}\xspace}
\newcommand*{\EjetDM}{\ensuremath{E_{\text{DM}}}\xspace}
\newcommand*{\Rcone}{\ensuremath{R_{\text{cone}}}\xspace}
\newcommand*{\abseta}{\ensuremath{|\eta|}\xspace}
\newcommand*{\Ecm}{\ensuremath{E_{\text{cm}}}\xspace}
\newcommand*{\rts}{\ensuremath{\sqrt{s}}\xspace}
\newcommand*{\sqs}{\ensuremath{\sqrt{s}}\xspace}
\newcommand*{\Nevt}{\ensuremath{N_{\mathrm{evt}}}\xspace}
\newcommand*{\zvtx}{\ensuremath{z_{\mathrm{vtx}}}\xspace}
\newcommand*{\dzero}{\ensuremath{d_{0}}\xspace}
\newcommand*{\zzsth}{\ensuremath{z_{0} \sin(\theta)}\xspace}

% LHC standard terms
\newcommand*{\RunOne}{Run~1\xspace}
\newcommand*{\RunTwo}{Run~2\xspace}
\newcommand*{\RunThr}{Run~3\xspace}

% ATLAS jets standard terms
\newcommand*{\kt}{\ensuremath{k_{t}}\xspace}
\newcommand*{\antikt}{anti-\kt}
\newcommand*{\Antikt}{Anti-\kt}
% Different hyphenation for pile-up in UK and US English
\iflanguage{USenglish}{%
    \newcommand*{\pileup}{pileup\xspace}
    \newcommand*{\Pileup}{Pileup\xspace}
}{%
    \newcommand*{\pileup}{pile-up\xspace}
    \newcommand*{\Pileup}{Pile-up\xspace}
}

% b-tagging standard terms
\newcommand*{\btag}{\ensuremath{b\text{-tagging}}\xspace}
\newcommand*{\btagged}{\ensuremath{b\text{-tagged}}\xspace}
\newcommand*{\bquark}{\ensuremath{b\text{-quark}}\xspace}
\newcommand*{\bquarks}{\ensuremath{b\text{-quarks}}\xspace}
\newcommand*{\bjet}{\ensuremath{b\text{-jet}}\xspace}
\newcommand*{\bjets}{\ensuremath{b\text{-jets}}\xspace}


% +--------------------------------------------------------------------+
% | Masses                                                             |
% +--------------------------------------------------------------------+
\newcommand*{\mh}{\ensuremath{m_{h}}\xspace}
\newcommand*{\mW}{\ensuremath{m_{W}}\xspace}
\newcommand*{\mZ}{\ensuremath{m_{Z}}\xspace}
\newcommand*{\mH}{\ensuremath{m_{H}}\xspace}
% \newcommand*{\mA}{\ensuremath{m_{A}}\xspace}

%\def\mass#1{\ensuremath{m_{#1#1}}}%  "\mass{\mu}" produces "msub{mumu}".
\newcommand{\twomass}[2]{\ensuremath{m_{#1#2}}\xspace}

% +--------------------------------------------------------------------+
% |  Monte Carlo generators                                            |
% +--------------------------------------------------------------------+
\newcommand*{\ACERMC}{\textsc{AcerMC}\xspace}
\newcommand*{\ACERMCV}[1]{\textsc{AcerMC}~#1\xspace}
\newcommand*{\ALPGEN}{\textsc{Alpgen}\xspace}
\newcommand*{\ALPGENV}[1]{\textsc{Alpgen}~#1\xspace}
\newcommand*{\GEANT}{\textsc{Geant}\xspace}
\newcommand*{\Herwigpp}{Herwig++\xspace}
\newcommand*{\HERWIGpp}{Herwig++\xspace}
\newcommand*{\Herwig}{Herwig\xspace}
\newcommand*{\HerwigV}[1]{Herwig~#1\xspace}
\newcommand*{\HERWIG}{\textsc{Herwig}\xspace}
\newcommand*{\HERWIGV}[1]{\textsc{Herwig}~#1\xspace}
\newcommand*{\JIMMY}{\textsc{Jimmy}\xspace}
\newcommand*{\JIMMYV}[1]{\textsc{Jimmy}~#1\xspace}
\newcommand*{\MADSPIN}{\textsc{MadSpin}\xspace}
\newcommand*{\MADGRAPH}{\textsc{MadGraph}\xspace}
\newcommand*{\MADGRAPHV}[1]{\textsc{MadGraph}~#1\xspace}
\newcommand*{\MGMCatNLO}{\textsc{MadGraph5}\_aMC@NLO\xspace} 
\newcommand*{\MGMCatNLOV}[1]{\textsc{MadGraph5}\_aMC@NLO~#1\xspace} 
\newcommand*{\MCatNLO}{MC@NLO\xspace}
\newcommand*{\MCatNLOV}[1]{MC@NLO~#1\xspace}
\newcommand*{\AMCatNLO}{aMC@NLO\xspace}
\newcommand*{\AMCatNLOV}[1]{aMC@NLO~#1\xspace}
\newcommand*{\MCFM}{MCFM\xspace}
\newcommand*{\MCFMV}[1]{MCFM~#1\xspace}
\newcommand*{\METOP}{\textsc{MEtop}\xspace}
\newcommand*{\METOPV}[1]{\textsc{MEtop}~#1\xspace}
\newcommand*{\POWHEG}{\textsc{Powheg}\xspace}
\newcommand*{\POWHEGV}[1]{\textsc{Powheg}~#1\xspace}
\newcommand*{\POWHEGBOX}{\textsc{Powheg-Box}\xspace}
\newcommand*{\POWHEGBOXV}[1]{\textsc{Powheg-Box}~#1\xspace}
\newcommand*{\POWPYTHIA}{\POWHEG{}+\PYTHIA}
\newcommand*{\PROTOS}{\textsc{Protos}\xspace}
\newcommand*{\PYTHIA}{\textsc{Pythia}\xspace}
\newcommand*{\PYTHIAV}[1]{\textsc{Pythia}~#1\xspace}
\newcommand*{\SHERPA}{\textsc{Sherpa}\xspace}
\newcommand*{\SHERPAV}[1]{\textsc{Sherpa}~#1\xspace}

%%% Event generator extras
\newcommand*{\Comphep}{CompHEP\xspace}
\newcommand*{\Perugia}{Perugia\xspace}
\newcommand*{\Prospino}{Prospino\xspace}

\newcommand*{\LO}{\ensuremath{\text{LO}}\xspace}
\newcommand*{\NLO}{\ensuremath{\text{NLO}}\xspace}
\newcommand*{\NLL}{\ensuremath{\text{NLL}}\xspace}
\newcommand*{\NNLO}{\ensuremath{\text{N}}\NLO\xspace}
\newcommand*{\muF}{\ensuremath{\mu_\textsc{f}}\xspace}
\newcommand*{\muR}{\ensuremath{\mu_\textsc{r}}\xspace}

% +--------------------------------------------------------------------+
% |  Useful symbols for use in or out of math mode                     |
% +--------------------------------------------------------------------+
\newcommand*{\ra}{\ensuremath{\rightarrow}\xspace}
\newcommand*{\la}{\ensuremath{\leftarrow}\xspace}
\newcommand*{\rarrow}{\ensuremath{\rightarrow}\xspace}
\newcommand*{\larrow}{\ensuremath{\leftarrow}\xspace}
%\let\rarrow=\ra
%\let\larrow=\la
\newcommand*{\lapprox}{\ensuremath{\sim\kern-1em\raise 0.65ex\hbox{$<$}}\xspace}%  Or use \lsim
\newcommand*{\rapprox}{\ensuremath{\sim\kern-1em\raise 0.65ex\hbox{$>$}}\xspace}%  and \rsim.
\newcommand*{\gam}{\ensuremath{\gamma}\xspace}
\newcommand*{\stat}{\mbox{$\;$(stat.)}\xspace}
\newcommand*{\syst}{\mbox{$\;$(syst.)}\xspace}
\newcommand*{\radlength}{\ensuremath{X_0}}
\newcommand*{\StoB}{\ensuremath{S/B}\xspace}

% Different differential symbols in American and British English
\iflanguage{USenglish}{%
  \providecommand*{\dif}{\ensuremath{d}}
}{%
  \providecommand*{\dif}{\ensuremath{\mathrm{d}}}
}


% +--------------------------------------------------------------------+
% |  QCD                                                               |
% +--------------------------------------------------------------------+
\newcommand*{\alphas}{\ensuremath{\alpha_{\text{S}}}\xspace}
\newcommand*{\NF}{\ensuremath{N_{\text{F}}}\xspace}
\newcommand*{\NC}{\ensuremath{N_{\text{C}}}\xspace}
\newcommand*{\CF}{\ensuremath{C_{\text{F}}}\xspace}
\newcommand*{\CA}{\ensuremath{C_{\text{A}}}\xspace}
\newcommand*{\TF}{\ensuremath{T_{\text{F}}}\xspace}
\newcommand*{\Lms}{\ensuremath{\Lambda_{\overline{\text{MS}}}}\xspace}
\newcommand*{\Lmsfive}{\ensuremath{\Lambda^{(5)}_{\overline{\text{MS}}}}\xspace}
\newcommand*{\kperp}{\ensuremath{k_{\perp}}\xspace}

% +--------------------------------------------------------------------+
% |  CKM matrix                                                        |
% +--------------------------------------------------------------------+
\newcommand*{\Vcb}{\ensuremath{\vert V_{cb} \vert}\xspace}
\newcommand*{\Vub}{\ensuremath{\vert V_{ub} \vert}\xspace}
\newcommand*{\Vtd}{\ensuremath{\vert V_{td} \vert}\xspace}
\newcommand*{\Vts}{\ensuremath{\vert V_{ts} \vert}\xspace}
\newcommand*{\Vtb}{\ensuremath{\vert V_{tb} \vert}\xspace}
\newcommand*{\Vcs}{\ensuremath{\vert V_{cs} \vert}\xspace}
\newcommand*{\Vud}{\ensuremath{\vert V_{ud} \vert}\xspace}
\newcommand*{\Vus}{\ensuremath{\vert V_{us} \vert}\xspace}
\newcommand*{\Vcd}{\ensuremath{\vert V_{cd} \vert}\xspace}

% +--------------------------------------------------------------------+
% |  Figure width                                                      |
% +--------------------------------------------------------------------+
\newlength{\figwidth}
\setlength{\figwidth}{\textwidth}
\addtolength{\figwidth}{-2.0cm}

% +--------------------------------------------------------------------+
% |  The decay symbol, to be used in \eqalign.                         |
% |  It works like: \[\eqalign{a\ra &b+c\cr &\dk &e+f\cr &&\dk g+h}\]  |
% |                                                                    |
% |                  a  -->  b + c                                     |
% |                          |                                         |
% |                          |                                         |
% |                          +----> e + f                              |
% |                                 |                                  |
% |                                 |                                  |
% |                                 +----> g + h                       |
% +--------------------------------------------------------------------+
\newdimen\dkwidth
\def\dk{%
   \dkwidth=\baselineskip
   {\def\to{\rightarrow}%  allows "\rightarrowfill" to work.
   \kern 3pt
   \hbox{%
      \raise 3pt
      \hbox{%
         \vrule height 0.8\dkwidth width 0.7pt depth0pt
      }
      \kern-0.4pt%
      \hbox to 1.5\dkwidth{%
         \rightarrowfill
      }
   \kern0.6em
   }}
}

% +--------------------------------------------------------------------+
% |  Redefine \eqalign to allow more than one column; very             |
% |  useful for multiple decays as defined above.                      |
% +--------------------------------------------------------------------+
%\unlock
\def\eqalign#1{%
   \,
   \vcenter{%
      \openup\jot\m@th
      \ialign{%
         \strut\hfil$\displaystyle{##}$&&$%
         \displaystyle{{}##}$\hfil\crcr#1\crcr%
      }
   }
   \,
}

% +--------------------------------------------------------------------+
% |  Hours:minutes macro                                               |
% +--------------------------------------------------------------------+
%\newcount\hrs\newcount\minu\newcount\temptime
%\def\hm{\hrs=\time \divide\hrs by 60 \minu=\time\temptime=\hrs
%\multiply\temptime by 60%
%\advance\minu by -\temptime
%\ifnum\minu<10 \let\zerofill=0\else \let\zerofill=\relax\fi
% \the\hrs:\zerofill\the\minu}

